Subject: Re: bug#68059: Mismatching defconfig options

From: Josselin Poiret <[email-masked]>
Date: Wed, 27 Dec 2023 17:55:18 +0100

Hi Lars,

Lars Rustand <[email-masked]> writes:

> I'm having trouble building a custom kernel with an included
> defconfig. The kernel builds correctly with the included defconfig if I
> do it manually, but when I try to build it through Guix I get an error
> about Mismatching configurations in .config and
> arch/arm64/configs/guix_defconfig.

Could you post the exact error that you get?

> Since it builds correctly manually I am sure that the defconfig does in
> fact work, and it does not have any mismatching configuration. So it
> must be something that Guix adds/changes in the defconfig that makes it
> stop working. How can I prevent Guix from modifying the defconfig that I
> tell it to use?

Guix doesn't modify the defconfig you give it, it just moves it to
guix_defconfig.  However, it then tries to verify that the defconfig was
properly applied, which is completely Guix-specific and might be the
thing that doesn't work properly.

> Here is the relevant part of my package definition:
>
> --8<---------------cut here---------------start------------->8---
> (let ((linux-package
>        (customize-linux
>         #:name name
>         #:linux linux
>         #:defconfig
>         "pinephone_pro_defconfig"
>         #:extra-version "arm64-pinephone-pro"
>         #:source (origin (method url-fetch)
>                          (uri (linux-pinephone-urls version))
>                          (sha256 (base32 hash)))))))
> --8<---------------cut here---------------end--------------->8---

Best,
-- 
Josselin Poiret